> ## Documentation Index
> Fetch the complete documentation index at: https://developers.trycents.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Preference Options



## OpenAPI

````yaml GET /business/{businessId}/preferences-choices
openapi: 3.1.0
info:
  title: OpenAPI Cents
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api3.trycents.com/api/v1/common
security: []
paths:
  /business/{businessId}/preferences-choices:
    get:
      parameters:
        - $ref: '#/components/parameters/OriginHeader'
        - in: path
          name: businessId
          required: true
          schema:
            type: number
            format: float
        - in: query
          name: customerId
          required: false
          schema:
            type: number
            format: float
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/BusinessCustomerPreferences'
                type: array
                example:
                  - id: 125
                    fieldName: bleach for whites
                    options:
                      - id: 1
                        value: 'Yes'
                        isDefault: false
                        selected: false
                      - id: 2
                        value: 'No'
                        isDefault: true
                        selected: true
                        selectionId: 800
        '400':
          description: Business ID in not provided
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
                example: businessId is required
      security:
        - bearerAuth: []
components:
  parameters:
    OriginHeader:
      name: fwdorigin
      in: header
      required: true
      schema:
        type: string
        default: DISPATCH_API
        enum:
          - DISPATCH_API
  schemas:
    BusinessCustomerPreferences:
      type: object
      properties:
        id:
          type: number
        fieldName:
          type: string
        options:
          type: array
          items:
            type: object
            properties:
              id:
                type: number
              value:
                type: string
              isDefault:
                type: boolean
              businessCustomerPreferenceId:
                type: number
              selected:
                type: boolean
                nullable: true
                description: not null when centsCustomerId is set in query parameters
              selectionId:
                type: number
                nullable: true
                description: not null when centsCustomerId is set in query parameters
    Error:
      required:
        - error
      type: object
      properties:
        error:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````